package com.buecoin01.utility;

import com.google.common.hash.Hashing;

import java.nio.charset.StandardCharsets;

public class Encryption {
    public static String applySha256(String input) {
        return Hashing.sha256()
                .hashString(input, StandardCharsets.UTF_8)
                .toString();
    }

    public static String createTarget(int difficulty) {
        return new String(new char[difficulty]).replace('\0', '0');
    }
}
